> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apikley.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# Elevenlabs sound effect v2

# elevenlabs/sound-effect-v2

> Content generation using elevenlabs/sound-effect-v2

## Query Task Status

After submitting a task, use the unified query endpoint to check progress and retrieve results:

<Card title="Get Task Details" icon="magnifying-glass" href="/market/common/get-task-detail">
  Learn how to query task status and retrieve generation results
</Card>

<Tip>
  For production use, we recommend using the `callBackUrl` parameter to receive automatic notifications when generation completes, rather than polling the status endpoint.
</Tip>

## Related Resources

<CardGroup cols={3}>
  <Card title="Market Overview" icon="store" href="/market/quickstart">
    Explore all available models
  </Card>

  <Card title="File Upload API" icon="upload" href="/file-upload-api/quickstart">
    Learn how to upload and manage files
  </Card>

  <Card title="Common API" icon="gear" href="/common-api/get-account-credits">
    Check credits and account usage
  </Card>
</CardGroup>

> Rate limits and quotas are enforced by Apikley and may differ from upstream providers.

## OpenAPI

```yaml market/elevenlabs/sound-effect-v2.json post /api/v1/jobs/createTask theme={null}
openapi: 3.0.0
info:
  title: Elevenlabs API
  description: Apikley Elevenlabs API Documentation - undefined
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@apikley.ru
servers:
  - url: https://api.apikley.ru
    description: API Server
security:
  - BearerAuth: []
paths:
  /api/v1/jobs/createTask:
    post:
      summary: Generate content using elevenlabs/sound-effect-v2
      operationId: elevenlabs-sound-effect-v2
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
              properties:
                model:
                  type: string
                  enum:
                    - elevenlabs/sound-effect-v2
                  default: elevenlabs/sound-effect-v2
                  description: |-
                    The model name to use for generation. Required field.

                    - Must be `elevenlabs/sound-effect-v2` for this endpoint
                  example: elevenlabs/sound-effect-v2
                callBackUrl:
                  type: string
                  format: uri
                  description: >-
                    The URL to receive generation task completion updates.
                    Optional but recommended for production use.


                    - System will POST task status and results to this URL when
                    generation completes

                    - Callback includes generated content URLs and task
                    information

                    - Your callback endpoint should accept POST requests with
                    JSON payload containing results

                    - Alternatively, use the Get Task Details endpoint to poll
                    task status
                  example: https://your-domain.com/api/callback
                input:
                  type: object
                  description: Input parameters for the generation task
                  properties:
                    text:
                      description: >-
                        The text describing the sound effect to generate (Max
                        length: 5000 characters)
                      type: string
                      maxLength: 5000
                      example: ''
                    loop:
                      description: >-
                        Whether to create a sound effect that loops smoothly
                        (Boolean value (true/false))
                      type: boolean
                      example: false
                    duration_seconds:
                      description: >-
                        Duration in seconds (0.5-22). If None, optimal duration
                        will be determined from prompt (Min: 0.5, Max: 22, Step:
                        0.1) (step: 0.1)
                      type: number
                      minimum: 0.5
                      maximum: 22
                    prompt_influence:
                      description: >-
                        How closely to follow the prompt (0-1). Higher values
                        mean less variation (Min: 0, Max: 1, Step: 0.01) (step:
                        0.01)
                      type: number
                      minimum: 0
                      maximum: 1
                      default: 0.3
                      example: 0.3
                    output_format:
                      description: >-
                        Output format of the generated audio. Formatted as
                        codec_sample_rate_bitrate
                      type: string
                      enum:
                        - mp3_22050_32
                        - mp3_44100_32
                        - mp3_44100_64
                        - mp3_44100_96
                        - mp3_44100_128
                        - mp3_44100_192
                        - pcm_8000
                        - pcm_16000
                        - pcm_22050
                        - pcm_24000
                        - pcm_44100
                        - pcm_48000
                        - ulaw_8000
                        - alaw_8000
                        - opus_48000_32
                        - opus_48000_64
                        - opus_48000_96
                        - opus_48000_128
                        - opus_48000_192
                      default: mp3_44100_128
                      example: mp3_44100_128
                  required:
                    - text
            example:
              model: elevenlabs/sound-effect-v2
              callBackUrl: https://your-domain.com/api/callback
              input:
                text: ''
                loop: false
                prompt_influence: 0.3
                output_format: mp3_44100_128
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          taskId:
                            type: string
                            description: >-
                              Task ID, can be used with Get Task Details
                              endpoint to query task status
                            example: task_elevenlabs_1765185379603
                          recordId:
                            type: string
                            description: Record ID, can be used to get the record details
                            example: elevenlabs_1765185379603
              example:
                code: 200
                msg: success
                data:
                  taskId: task_elevenlabs_1765185379603
                  recordId: elevenlabs_1765185379603
        '500':
          $ref: '#/components/responses/Error'
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        code:
          type: integer
          enum:
            - 200
            - 401
            - 402
            - 404
            - 422
            - 429
            - 455
            - 500
            - 501
            - 505
          description: >-
            Response status code


            - **200**: Success - Request has been processed successfully

            - **401**: Unauthorized - Authentication credentials are missing or
            invalid

            - **402**: Insufficient Credits - Account does not have enough
            credits to perform the operation

            - **404**: Not Found - The requested resource or endpoint does not
            exist

            - **422**: Validation Error - The request parameters failed
            validation checks

            - **429**: Rate Limited - Request limit has been exceeded for this
            resource

            - **455**: Service Unavailable - System is currently undergoing
            maintenance

            - **500**: Server Error - An unexpected error occurred while
            processing the request

            - **501**: Generation Failed - Content generation task failed

            - **505**: Feature Disabled - The requested feature is currently
            disabled
        msg:
          type: string
          description: Response message, error description when failed
          example: success
  responses:
    Error:
      description: Server Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        All APIs require authentication via Bearer Token.


        Get API Key:

        1. Visit [API Key Management Page](https://app.apikley.ru/keys) to get your
        API Key


        Usage:

        Add to request header:

        Authorization: Bearer APIKLEY_API_KEY


        Note:

        - Keep your API Key secure and do not share it with others

        - If you suspect your API Key has been compromised, reset it immediately
        in the management page

```

***

> To find navigation and other pages in this documentation, fetch the llms.txt file at: [https://docs.apikley.ru/llms.txt](https://docs.apikley.ru/llms.txt)
